#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <mosquitto.h>

void on_message(struct mosquitto *mosq, void *userdata, const struct mosquitto_message *message) {
    if(message->payloadlen){
        printf("%s %s\n", message->topic, (char *)message->payload);

        const char *message2 = "Hello, MQTT!";
        int msg_id = 0;

        // Publish a message
        mosquitto_publish(mosq, &msg_id, "test2", strlen(message2), message2, 0, false);

    } else {
        printf("%s (null)\n", message->topic);
    }
}

int main() {
    struct mosquitto *mosq = NULL;
     const char *host = "119.96.80.54";
    int port = 51883;
    const char *topic = "test";
    int keepalive = 60;

    mosquitto_lib_init();
    mosq = mosquitto_new(NULL, true, NULL);
    
    if(mosq){
        mosquitto_message_callback_set(mosq, on_message);

        if(mosquitto_connect(mosq, host, port, keepalive)){
            fprintf(stderr, "Unable to connect.\n");
            return 1;
        }

        mosquitto_subscribe(mosq, NULL, topic, 0);

        while(1){
            if(mosquitto_loop(mosq, -1, 1) != MOSQ_ERR_SUCCESS){
                fprintf(stderr, "Connection error.\n");
                return 1;
            }
        }
    
        mosquitto_destroy(mosq);
    }
    
    mosquitto_lib_cleanup();

    return 0;
}