/*
 Navicat Premium Data Transfer

 Source Server         : 后端开发测试数据库(119.96.145.175)
 Source Server Type    : MySQL
 Source Server Version : 80026
 Source Host           : 119.96.145.175:3306
 Source Schema         : vrs_gnss

 Target Server Type    : MySQL
 Target Server Version : 80026
 File Encoding         : 65001

 Date: 06/03/2024 10:44:26
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for caster_ntripsvr
-- ----------------------------
DROP TABLE IF EXISTS `caster_ntripsvr`;
CREATE TABLE `caster_ntripsvr`  (
  `FMountPoint` varchar(20) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `FPass` varchar(20) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '',
  `FConnString` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL,
  `FPosiLng` decimal(18, 6) NULL DEFAULT 0.000000,
  `FPosiLat` decimal(18, 6) NULL DEFAULT 0.000000,
  `FPosiHeight` decimal(18, 6) NULL DEFAULT 0.000000,
  `FPosiX` decimal(18, 6) NULL DEFAULT 0.000000,
  `FPosiY` decimal(18, 6) NULL DEFAULT 0.000000,
  `FPosiZ` decimal(18, 6) NULL DEFAULT 0.000000,
  `FState` int(0) UNSIGNED NOT NULL DEFAULT 0 COMMENT '0:未激活, 1:激活, 2:暂停使用//源节点状态',
  `FLastUptime` datetime(0) NULL DEFAULT NULL COMMENT '最后更新时间',
  `FMamoTime` datetime(0) NULL DEFAULT NULL COMMENT '手动修改时间',
  `FUpTime` datetime(0) NULL DEFAULT NULL COMMENT '数据源最后活动时间',
  PRIMARY KEY (`FMountPoint`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for sys_conf
-- ----------------------------
DROP TABLE IF EXISTS `sys_conf`;
CREATE TABLE `sys_conf`  (
  `FId` int(0) NOT NULL AUTO_INCREMENT,
  `FCid` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `FConf` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '配置',
  `FRemarks` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  PRIMARY KEY (`FId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_conf
-- ----------------------------
INSERT INTO `sys_conf` VALUES (1, 'sources', '[\r\n  {\r\n    \"val\": \"4\",\r\n    \"name\": \"MQTT\"\r\n  }\r\n]', '[\r\n  {\r\n    \"val\": \"1\",\r\n    \"name\": \"TCP CLIENT\"\r\n  },\r\n  {\r\n    \"val\": \"2\",\r\n    \"name\": \"TCP SERVER\"\r\n  },\r\n  {\r\n    \"val\": \"3\",\r\n    \"name\": \"NTRIP CLIENT\"\r\n  },\r\n  {\r\n    \"val\": \"3\",\r\n    \"name\": \"NTRIP SERVER\"\r\n  },\r\n  {\r\n    \"val\": \"4\",\r\n    \"name\": \"MQTT\"\r\n  }\r\n]');

-- ----------------------------
-- Table structure for user_info
-- ----------------------------
DROP TABLE IF EXISTS `user_info`;
CREATE TABLE `user_info`  (
  `UserID` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户名',
  `UserName` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '昵称',
  `Pass` varchar(80) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '密码',
  `Level` int(0) NULL DEFAULT NULL COMMENT '级别 5管理员 1普通用户 2审计员',
  `Vld` int(0) NULL DEFAULT 99999 COMMENT '有效期',
  `Status` int(0) NULL DEFAULT NULL COMMENT '状态',
  `UpTime` datetime(0) NULL DEFAULT NULL COMMENT '上传时间',
  PRIMARY KEY (`UserID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Compact;

-- ----------------------------
-- Records of user_info
-- ----------------------------
INSERT INTO `user_info` VALUES ('admin', '管理员', 'JUq/W6jlb4MnsSKUY5VjU07DDcWqRfRa3qVhlRNuZtb/z91+mL6sGO9d9VrztBAd', 5, 100000, 1, '2024-03-05 17:07:09');

-- ----------------------------
-- Table structure for user_log
-- ----------------------------
DROP TABLE IF EXISTS `user_log`;
CREATE TABLE `user_log`  (
  `UserID` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户名',
  `Record` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '记录',
  `Uptime` datetime(0) NULL DEFAULT NULL COMMENT '上传时间'
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Triggers structure for table caster_ntripsvr
-- ----------------------------
DROP TRIGGER IF EXISTS `caster_ntripsvr_change`;
delimiter ;;
CREATE TRIGGER `caster_ntripsvr_change` BEFORE UPDATE ON `caster_ntripsvr` FOR EACH ROW BEGIN
	IF
		( new.FPosiLng != old.FPosiLng or new.FPosiLat!=old.FPosiLat or new.FPosiHeight!=old.FPosiHeight ) THEN
			
		  INSERT into warnlog(`ftime`,`fsite`,`fbeforechange`,`fafterchange`) VALUES (now(),new.FMountPoint,CONCAT(old.FPosiLng,';',old.FPosiLat,';',old.FPosiHeight),CONCAT(new.FPosiLng,';',new.FPosiLat,';',new.FPosiHeight)
			);
		
	END IF;
END
;;
delimiter ;

SET FOREIGN_KEY_CHECKS = 1;
